/********** Template CSS **********/
:root {
  --primary: #88b44e;
  --secondary: #fb9f38;
  --light: #f5f8f2;
  --dark: #252c30;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 30px;
  bottom: 30px;
  z-index: 99;
}

.fw-medium {
  font-weight: 600;
}

.fw-bold {
  font-weight: 700;
}

.fw-black {
  font-weight: 900;
}

/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Button ***/
.btn {
  transition: 0.5s;
  font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
  color: var(--light);
}

.btn-secondary,
.btn-outline-secondary:hover {
  color: var(--dark);
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}
.page-header

/*** Navbar ***/
.sticky-top {
  top: -150px;
  transition: 0.5s;
}

.navbar .navbar-brand {
  position: absolute;
  padding: 0;
  width: 170px;
  height: 135px;
  top: 0;
  left: 0;
}

.navbar .navbar-nav .nav-link {
  margin-right: 35px;
  padding: 25px 0;
  color: var(--dark);
  font-weight: 600;
  text-transform: uppercase;
  outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--primary);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-brand {
    width: 126px;
    height: 100px;
  }

  .navbar .navbar-nav .nav-link {
    margin-right: 0;
    padding: 10px 0;
  }

  .navbar .navbar-nav {
    margin-top: 75px;
    border-top: 1px solid #eeeeee;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: 0.5s;
    opacity: 1;
  }
}

/*** Header ***/
.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  /* background: rgba(136, 180, 78, .7); */
  z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
  width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 3.5rem;
  background-color: var(--dark);
  border: 15px solid var(--dark);
}

@media (max-width: 768px) {
  #header-carousel .carousel-item {
    position: relative;
    min-height: 450px;
  }

  #header-carousel .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.page-header {
  background-image: url(../img/carousel-1.jpg);
  background-size: cover;
}

.page-header .breadcrumb-item + .breadcrumb-item::before {
  color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
  font-size: 18px;
  color: var(--light);
}

/*** Section Title ***/
.section-title {
  position: relative;
  margin-bottom: 3rem;
  padding-bottom: 2rem;
}

.section-title::before {
  position: absolute;
  content: "";
  width: 50%;
  height: 2px;
  bottom: 0;
  left: 0;
  background: var(--primary);
}

.section-title::after {
  position: absolute;
  content: "";
  width: 28px;
  height: 28px;
  bottom: -13px;
  left: calc(25% - 13px);
  background: var(--dark);
  border: 10px solid #ffffff;
  border-radius: 28px;
}

.section-title.text-center::before {
  left: 25%;
}

.section-title.text-center::after {
  left: calc(50% - 13px);
}

/*** Products ***/
.product {
  background: linear-gradient(rgba(136, 180, 78, 0.1), rgba(136, 180, 78, 0.1)),
    url(../img/product-bg.png) left bottom no-repeat;
  background-size: auto;
}

.product-carousel .owl-nav {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.product-carousel .owl-nav .owl-prev,
.product-carousel .owl-nav .owl-next {
  margin: 0 10px;
  width: 55px;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #ffffff;
  background: var(--primary);
  border-radius: 55px;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.15);
  font-size: 25px;
  transition: 0.5s;
}

.product-carousel .owl-nav .owl-prev:hover,
.product-carousel .owl-nav .owl-next:hover {
  background: #ffffff;
  color: var(--primary);
}

/*** About ***/
.video {
  background: linear-gradient(
      rgba(136, 180, 78, 0.85),
      rgba(136, 180, 78, 0.85)
    ),
    url(../img/video-bg.jpg) center center no-repeat;
  background-size: cover;
}

.btn-play {
  position: relative;
  display: block;
  box-sizing: content-box;
  width: 65px;
  height: 75px;
  border-radius: 100%;
  border: none;
  outline: none !important;
  padding: 28px 30px 30px 38px;
  background: #ffffff;
}

.btn-play:before {
  content: "";
  position: absolute;
  z-index: 0;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 120px;
  height: 120px;
  background: #ffffff;
  border-radius: 100%;
}
.header {
  background-color: rgba(108, 150, 129, 0.377);
}
.display111 {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 30vh;
  width: 80vh;
}
.btn-play:after {
  content: "";
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 120px;
  height: 120px;
  background: #ffffff;
  border-radius: 100%;
  transition: all 200ms;
}
.btn-play span {
  display: block;
  position: relative;
  z-index: 3;
  width: 0;
  height: 0;
  left: 13px;
  border-left: 40px solid var(--primary);
  border-top: 28px solid transparent;
  border-bottom: 28px solid transparent;
}

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }

  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
    opacity: 0;
  }
}

.modal-video .modal-dialog {
  position: relative;
  max-width: 800px;
  margin: 60px auto 0 auto;
}

.modal-video .modal-body {
  position: relative;
  padding: 0px;
}

.modal-video .close {
  position: absolute;
  width: 30px;
  height: 30px;
  right: 0px;
  top: -30px;
  z-index: 999;
  font-size: 30px;
  font-weight: normal;
  color: #ffffff;
  background: #000000;
  opacity: 1;
}

/*** Store ***/
.store-item .store-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: rgba(138, 180, 78, 0.3);
  opacity: 0;
  transition: 0.5s;
}

.store-item:hover .store-overlay {
  opacity: 1;
}

/*** Contact ***/
.contact .btn-square {
  width: 100px;
  height: 100px;
  border: 20px solid var(--light);
  background: var(--primary);
  border-radius: 50px;
}

/*** Testimonial ***/
.testimonial {
  background: linear-gradient(
      rgba(136, 180, 78, 0.85),
      rgba(136, 180, 78, 0.85)
    ),
    url(../img/testimonial-bg.jpg) center center no-repeat;
  background-size: cover;
}

.testimonial-item {
  margin: 0 auto;
  max-width: 600px;
  text-align: center;
  background: #ffffff;
  border: 30px solid var(--primary);
}

.testimonial-item img {
  width: 60px !important;
  height: 60px !important;
  border-radius: 60px;
}

.testimonial-carousel .owl-dots {
  margin-top: 35px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.testimonial-carousel .owl-dot {
  position: relative;
  display: inline-block;
  margin: 0 5px;
  width: 15px;
  height: 15px;
  background: var(--primary);
  border-radius: 15px;
  transition: 0.5s;
}

.testimonial-carousel .owl-dot.active {
  width: 30px;
  background: var(--dark);
}

/*** Footer ***/
.footer {
  color: #b0b9ae;
}

.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: #b0b9ae;
  font-weight: normal;
  text-transform: capitalize;
  transition: 0.3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: var(--primary);
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--light);
  letter-spacing: 1px;
  box-shadow: none;
}
.copyright {
  color: #b0b9ae;
}

.copyright {
  background: #252525;
}

.copyright a:hover {
  color: #ffffff !important;
}
.bus {
  width: 20%;
}
.padding {
  padding-left: 30px;
  font-weight: 100;
  font-family: Arial, Helvetica, sans-serif;
  color: blue;
}
tr:nth-child(even) {
  background-color: #f2f5f4f2;
}
.info {
  background-color: rgb(213, 241, 69);
}
.hindi {
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}
/* .div::after {
    font: 800 25px system-ui;
    content: counter(count);
    animation: counter 3s linear infinite alternate;
    counter-reset: count 0;

  }  */

/* this is line in my keyframe code */

.div1::after {
  font: 800 25px system;
  content: counter(count);
  animation: counter1 5s linear 1 alternate forwards;
  counter-reset: count 0;
}
@keyframes counter1 {
  0% {
    counter-increment: count 100;
  }
  5% {
    counter-increment: count 150;
  }
  10% {
    counter-increment: count 200;
  }
  15% {
    counter-increment: count 250;
  }
  20% {
    counter-increment: count 300;
  }
  25% {
    counter-increment: count 350;
  }
  30% {
    counter-increment: count 400;
  }
  35% {
    counter-increment: count 450;
  }
  40% {
    counter-increment: count 500;
  }
  45% {
    counter-increment: count 550;
  }
  50% {
    counter-increment: count 600;
  }
  55% {
    counter-increment: count 700;
  }
  60% {
    counter-increment: count 800;
  }
  65% {
    counter-increment: count 850;
  }
  70% {
    counter-increment: count 900;
  }
  75% {
    counter-increment: count 950;
  }
  80% {
    counter-increment: count 1000;
  }
  85% {
    counter-increment: count 1050;
  }
  90% {
    counter-increment: count 1100;
  }
  95% {
    counter-increment: count 1150;
  }
  100% {
    counter-increment: count 1200;
  }
}
.div2::after {
  font: 800 25px system;
  content: counter(count);
  animation: counter2 5s linear 1 alternate forwards;
  counter-reset: count 0;
}
@keyframes counter2 {
  0% {
    counter-increment: count 0;
  }
  5% {
    counter-increment: count 1;
  }
  10% {
    counter-increment: count 3;
  }
  15% {
    counter-increment: count 5;
  }
  20% {
    counter-increment: count 8;
  }
  25% {
    counter-increment: count 10;
  }
  30% {
    counter-increment: count 11;
  }
  35% {
    counter-increment: count 12;
  }
  40% {
    counter-increment: count 14;
  }
  45% {
    counter-increment: count 15;
  }
  50% {
    counter-increment: count 16;
  }
  55% {
    counter-increment: count 17;
  }
  60% {
    counter-increment: count 18;
  }
  65% {
    counter-increment: count 19;
  }
  70% {
    counter-increment: count 21;
  }
  75% {
    counter-increment: count 21;
  }
  100% {
    counter-increment: count 21;
  }
}

.div3::after {
  font: 800 25px system;
  content: counter(count);
  animation: counter3 5s linear 1 alternate forwards;
  counter-reset: count 0;
}
@keyframes counter3 {
  0% {
    counter-increment: count 4;
  }
  10% {
    counter-increment: count 18;
  }

  30% {
    counter-increment: count 25;
  }

  50% {
    counter-increment: count 34;
  }

  70% {
    counter-increment: count 44;
  }
  90% {
    counter-increment: count 50;
  }

  100% {
    counter-increment: count 51;
  }
}
/* And my keyframs code */

.aone {
  margin-left: 30px;
}
.aone1 {
  margin-left: 50px;
}
.aone2 {
  margin-left: 80px;
}
.princple-img {
  width: 300px !important ;
}
.ma {
  margin-left: 15vh;
}
/* Modal CSS */
/* Modal CSS */
#myModal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
  padding-top: 60px; /* Adjust as needed */
}

#myModal .modal-content {
  margin: auto;
  display: block;
  width: 80%; /* Adjust as needed */
  max-width: 800px; /* Adjust as needed */
}

#myModal .close {
  color: #fff;
  position: absolute;
  top: 15px;
  right: 35px;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

#myModal .close:hover,
#myModal .close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

@media (max-width: 768px) {
  .overlay-text {
    padding: 2px !important;
    width: 80%; /* Adjust width for smaller screens */
    left: 50%;
    top: 50%;
    width: 70%;
    border-radius: 10px !important;
    transform: translate(-50%, -50%);
  }
  .image-content,
  .image-content-name {
    font-size: 20px;
  }
  .image-content-name {
    display: none;
  }
  .image-content-link {
    width: 150px;
    border: none;
    color: skyblue !important;
    padding-top: 0 !important;
    padding-top: 0%;
    text-decoration: underline;
  }
}
/* Import google font */
@import url("https://fonts.googleapis.com/css2?family=Yaldevi:wght@200;300;400;500;600;700&display=swap");

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f4f4f4;
}
/* Styline the Heading of Image Gallery */
.heading {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 30px;
  background: #121fcf;
  background: linear-gradient(to right, #0e85e0 0%, #26ff1a 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
/* Styling gallery section where all images are */
.gallery {
  width: 90%;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-gap: 20px;
  justify-content: center;
  align-items: center;
}

/* Styling Particular Image */
.gallery-img {
  width: 200px;
  height: 200px;
  cursor: pointer;
  transition: transform 0.2s;
  border-radius: 10px;
  border: 5px solid white;
}
/* onHover image will expand little bit */
.gallery-img:hover {
  transform: scale(1.1);
  cursor: zoom-in;
}
/* This section will be seen when we click on image */
.image-popup-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

/* close button when we want to close the bigger image */
.close-button {
  position: absolute;
  top: 10px;
  left: 20%;
  font-size: 60px;
  color: #fff;
  cursor: pointer;
  border: 10px;
}
.close-button:hover {
  color: red;
}

/* when we click on the image it will expand in bigger size and will displayed 
at middle of screen */
#popupImage {
  display: block;
  max-width: 80%;
  max-height: 80%;
  margin: 0 auto;
  position: absolute;
  top: 50%;
  left: 55%;
  transform: translate(-50%, -50%);
  border: 10px solid white;
  border-radius: 7px;
}

/* Making images more responsive for smaller size device */
@media (max-width: 670px) {
  .gallery {
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    grid-gap: 10px;
  }
  .gallery-img {
    width: 150px;
    height: 150px;
  }

  .heading {
    font-size: 20px;
  }
}

@media (min-width: 576px) and (max-width: 1800px) {
  .principal-image {
    width: 15rem;
    height: 10rem;
  }
}

@media (min-width: 250px) and (max-width: 575) {
  .principal-image {
    width: auto;
    height: auto;
  }
}

